<include src="{{DATEBOX_PATH}}datebox.html" />
<include src="{{LISTBOX_PATH}}listbox.html" />
<include src="{{./}}listbox.rs" />

<webbox id="paymentEdit">
<form name="paymentEdit" onsubmit="return false;">
<input type="submit" class="hidden_submit" value=""
       onclick="this.focus(); save();" />
<include src="{{./}}header.html" />
<table class="input-form">
  <tr>
    <td valign="top">
      <br />
      <table class="group-box">
        <tr>
          <td>T_("Type"):</td>
          <td>
            <webobject class="listbox" name="type" value="{{type}}" 
                       rs="payment_types"
                       width="--------------------"/>
          </td>
        </tr>
        <tr>
          <td>T_("Partner"):</td>
          <td>
            <webobject class="listbox" name="partner"
                       rs="partners" value="{{partner}}" 
                       width="--------------------"/>
          </td>
        </tr>
      </table>
    </td>

    <td valign="top">
      <br />
      <table class="group-box">
        <tr>
          <td>T_("Amount"):</td>
          <td>
            <input type="text" name="amount" value="{{amount}}" size="10" />
          </td>
        </tr>
        <tr>
          <td>T_("Payed"):</td>
          <td>
            <input type="text" name="percentage_payed" value="{{percentage_payed}}" size="8" /> %
          </td>
        </tr>
      </table>
    </td>

    <td valign="top">
      <br />
      <table class="group-box">
        <tr>
          <td>T_("Payment Date"):</td>
          <td>
            <WebObject Class="datebox" Name="payment_date"
                       value="{{payment_date}}"
                       format="DD/MM/YYYY"
                       onchange="date_not_in_future(this)" />
          </td>
        </tr>
        <tr>
          <td>T_("Last Date"):</td>
          <td>
            <WebObject Class="datebox" Name="last_date"
                       value="{{last_date}}"
                       format="DD/MM/YYYY"
                       onchange="date_not_in_past(this)" />
          </td>
        </tr>
      </table>
    </td>

    <td valign="top">
      T_("References"):
      <table class="group-box">
        <tr><td>
          <repeat rs="get_ref_docs">
            <a href="javascript:view_ref('{{ref_module}}','{{ref_arg}}')">
              {{ref_name}}
            </a><br />
          </repeat>
        </td></tr>
      </table>
    </td>

    <td valign="top">
      T_("Notes"): <br />
      <textarea name="notes" rows="3" cols="20">{{notes}}</textarea>
    </td>
  </tr>

  <if condition="'{{mode}}'=='edit'">
  <tr>
    <td align="right" colspan="10">
      T_("Last modified on: {{modification_date}}")
    </td>
  </tr>
  </if>
</table>

</form>
</webbox>
